Author Topic: Why developing of the ARX applications depend from the Visual Studio version?  (Read 2251 times)

0 Members and 1 Guest are viewing this topic.

Andrey Bushman

  • Swamp Rat
  • Posts: 860
Hi all.

Why developing of the ARX applications depends from the Visual Studio version? For example I can write the .NET plugins for AutoCAD through the different Visual Studio versions: 2008, 2010, 2012. Why I can't do it for C++?

Best Regards.

Jeff H

  • Needs a day job
  • Posts: 6043
I believe you can use different versions you just have to have the version installed that uses the same platform toolset.
VS2008 uses v90
VS2010 uses v100
VS2012 uses v110
 
So if autocad was built with v90 you could use 2010 but must have 2008 installed and set platform toolset to v90

Andrey Bushman

  • Swamp Rat
  • Posts: 860
Thank you, Jeff.